Skip to main content
PATCH
/
contacts
/
{contact_id}
Update contact
curl --request PATCH \
  --url https://api.zenskar.com/contacts/{contact_id} \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "send_contract": true,
  "send_invoice": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "send_contract": false,
  "send_invoice": true
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

contact_id
string<uuid>
required

Body

application/json

Create Contact Request Schema

customer
string<uuid>
required
email
string
required

Contact Email

first_name
string | null

Contact first name

last_name
string | null

Contact last name

send_contract
boolean

Send Contract

send_invoice
boolean

Send Contact

Response

Successful Response

Create & Update Contact Response Schema

id
string<uuid>
required

Contact Id

customer
string<uuid>
required
email
string
required

Contact Email

first_name
string | null

Contact first name

last_name
string | null

Contact last name

send_contract
boolean
default:false

Send Contract

send_invoice
boolean
default:true

Send Contact